Skip to main content
GET
/
kubernetes_clusters
/
{kubernetes_cluster_id}
Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os


with Latitudesh(
    bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:

    res = latitudesh.kubernetes_clusters.get_kubernetes_cluster(kubernetes_cluster_id="<id>")

    # Handle response
    print(res)
{
  "data": {
    "type": "kubernetes_clusters",
    "id": "kc_pRMLydp0dQKr1",
    "attributes": {
      "name": "my-cluster",
      "phase": "Provisioned",
      "ready": true,
      "control_plane_endpoint": "https://api.my-cluster.example.com:6443",
      "kubeconfig_url": "/kubernetes_clusters/kc_pRMLydp0dQKr1/kubeconfig",
      "location": "SAN3",
      "load_balancer_ips": [
        "10.0.0.1"
      ],
      "kubernetes_version": "v1.34.3+rke2r1",
      "version_status": "upgrade_available",
      "available_upgrade": "v1.35.3+rke2r1",
      "created_at": "2026-01-15T10:30:00Z",
      "plan": "c3-small-x86",
      "worker_plan": "c3-medium-x86",
      "control_plane_count": 1,
      "worker_count": 1,
      "control_plane": {
        "ready": true,
        "replicas": 1,
        "ready_replicas": 1
      },
      "workers": {
        "replicas": 1,
        "ready_replicas": 1,
        "available_replicas": 1
      },
      "worker_status": "ready",
      "control_plane_status": "ready",
      "infrastructure_ready": true,
      "control_plane_ready": true,
      "message": "Cluster is ready",
      "steps": [
        {
          "name": "infrastructure",
          "status": "completed"
        },
        {
          "name": "control_plane",
          "status": "completed"
        },
        {
          "name": "workers",
          "status": "completed"
        }
      ],
      "last_status_change": "2026-01-15T10:35:00Z",
      "failure_message": null,
      "failure_reason": null,
      "nodes": [
        {
          "id": "my-cluster-control-plane-abc12",
          "name": "my-cluster-control-plane-abc12",
          "hostname": "my-cluster-control-plane-abc12",
          "server_id": "sv_RLYV8DZ2D5QoE",
          "type": "control_plane",
          "status": "ready",
          "ip": "203.0.113.10",
          "internal_ip": "10.0.0.10",
          "external_ip": "203.0.113.10"
        },
        {
          "id": "my-cluster-md-0-def34",
          "name": "my-cluster-md-0-def34",
          "hostname": "my-cluster-md-0-def34",
          "server_id": "sv_7KP2Xm9nYwR3Q",
          "type": "worker",
          "status": "ready",
          "ip": "203.0.113.20",
          "internal_ip": "10.0.0.20",
          "external_ip": "203.0.113.20"
        }
      ],
      "project": {
        "id": "proj_6059EqYkOQj8p",
        "name": "My Project",
        "slug": "my-project"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

kubernetes_cluster_id
string
required

The cluster ID (format: kc_) or cluster name. Both formats are accepted for backward compatibility.

Response

Success

data
object